> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baselayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Mla Search



## OpenAPI

````yaml /api-reference/openapi.json post /mla/searches
openapi: 3.1.0
info:
  title: baselayer-api-service
  version: 0.1.0
servers:
  - url: https://api.baselayer.com/
security: []
paths:
  /mla/searches:
    post:
      tags:
        - SCRA & MLA
      summary: Mla Search
      operationId: mla_search_mla_searches_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/v1.MLASearchRequest'
          application/vnd.baselayer.v1+json:
            schema:
              $ref: '#/components/schemas/v1.MLASearchRequest'
        required: true
      responses:
        '200':
          description: Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1.MLAResponse'
            application/vnd.baselayer.v1+json:
              schema:
                $ref: '#/components/schemas/v1.MLAResponse'
      security:
        - APIKeyHeader: []
components:
  schemas:
    v1.MLASearchRequest:
      additionalProperties: false
      properties:
        parse_permutate_options:
          anyOf:
            - $ref: '#/components/schemas/v1.ParsePermutateOptions'
            - type: 'null'
          default: null
          description: Name parsing and permutation settings
        certificate:
          default: false
          description: >-
            Indicates if DMDC certificate should be included in response. 
            Defaults to False
          title: Certificate
          type: boolean
        reference_id:
          anyOf:
            - maxLength: 128
              type: string
            - type: 'null'
          default: null
          description: An optional reference ID to associate with the search request.
          examples:
            - Search1234
          title: Reference Id
        first_name:
          description: The first name of the person of interest
          maxLength: 20
          title: First Name
          type: string
        last_name:
          description: The last name of the person of interest
          pattern: ^[A-Za-z \-\'\s]*$
          title: Last Name
          type: string
        middle_name:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The middle name of the person of interest
          title: Middle Name
        birth_date:
          description: >-
            The birth date of the person of interest. No dates before 1900-01-01
            or in the future
          format: date
          title: Birth Date
          type: string
        ssn:
          type: string
          format: password
          title: Ssn
          description: The social security number of the person of interest
          writeOnly: true
        itin:
          anyOf:
            - pattern: ^\d{3}-\d{2}-\d{4}$|^\d{9}$
              type: string
            - type: 'null'
          default: null
          description: >-
            The Individual taxpayer identification number of the person of
            interest
          title: Itin
      required:
        - first_name
        - last_name
        - birth_date
        - ssn
      title: MLASearchRequest (v1)
      type: object
    v1.MLAResponse:
      properties:
        reference_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The reference ID associated with the search.
          examples:
            - Search1234
          title: Reference Id
        covered:
          description: Do any of the searches performed contained MLA coverage
          title: Covered
          type: boolean
        results:
          anyOf:
            - items:
                $ref: '#/components/schemas/v1.MLAResponseResult'
              type: array
            - type: 'null'
          default: null
          description: List of MLA search results
          title: Results
        created_at:
          description: The datetime when the MLA request was made
          format: date-time
          readOnly: true
          title: Created At
          type: string
      required:
        - covered
        - created_at
      title: MLAResponse
      type: object
    v1.ParsePermutateOptions:
      properties:
        keep_original:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          description: >-
            Allows original name to be searched even in case of name containing
            known words along with any name variations generated
          title: Keep Original
        first_name_remove_list:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: CSV list of string values to remove from first name
          title: First Name Remove List
        last_name_remove_list:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: CSV list of string values to remove from last name
          title: Last Name Remove List
        middle_name_parse:
          anyOf:
            - $ref: '#/components/schemas/v1.MiddleNameParse'
            - type: 'null'
          default: null
        force_hyphen:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          description: >-
            Generates additional name variations only on two part last names
            delimited by a spaces replacing the space with a hyphen
          title: Force Hyphen
        include_suffix:
          anyOf:
            - $ref: '#/components/schemas/v1.IncludeSuffix'
            - type: 'null'
          default: null
        parse_prefix:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          description: Attempts to locate and remove Prefix out of the first name
          title: Parse Prefix
        parse_suffix:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          description: Attempts to locate and remove Suffix out of the last name
          title: Parse Suffix
        max_permutation_count:
          anyOf:
            - type: integer
            - type: 'null'
          default: 50
          description: Sets maximum amount of permutations. Default is 50
          title: Max Permutation Count
        merge_name_parts:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          description: >-
            Merges compound name parts into a single name. Merging occurs on any
            number of name parts provided
          title: Merge Name Parts
        mixed_case_split:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          title: Mixed Case Split
        suppress_hyphen_parse:
          anyOf:
            - $ref: '#/components/schemas/v1.SuppressHyphenParse'
            - type: 'null'
          default: null
        toggle_middle_name:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          description: Ability to generate name variations with/without middle name
          title: Toggle Middle Name
        toggle_primary_name:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          description: Ability to generate name variations with/without first name
          title: Toggle Primary Name
        transpose:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          description: >-
            Transposes name parts to generate all unique variations. Transposing
            occurs on any number of name parts provided
          title: Transpose
        validate_permutation_count:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          title: Validate Permutation Count
        remove_nobiliary_participle:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          title: Remove Nobiliary Participle
        parse_model:
          anyOf:
            - $ref: '#/components/schemas/v1.ParseModel'
            - type: 'null'
          default: null
      title: ParsePermutateOptions
      type: object
    v1.MLAResponseResult:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: DMDC TransactionID
          title: Id
        person_request:
          $ref: '#/components/schemas/v1.MLAResponsePerson'
        eligibility:
          $ref: '#/components/schemas/v1.MLAResponseEligibility'
      required:
        - person_request
        - eligibility
      title: MLAResponseResult
      type: object
    v1.MiddleNameParse:
      enum:
        - None
        - Share
        - ShareMerge
        - AppendMiddleInitial
        - AppendMiddleInitialAll
      title: MiddleNameParse
      type: string
    v1.IncludeSuffix:
      enum:
        - None
        - OriginalOnly
        - All
      title: IncludeSuffix
      type: string
    v1.SuppressHyphenParse:
      enum:
        - Never
        - MultipleOnly
        - Always
      title: SuppressHyphenParse
      type: string
    v1.ParseModel:
      enum:
        - NameSegmentParse
        - None
      title: ParseModel
      type: string
    v1.MLAResponsePerson:
      properties:
        pn_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: >-
            Either a social security number (SSN) or an individual taxpayer
            identification number (ITIN)
          title: Pn Id
        pn_id_confirmation:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Pn Id Confirmation
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The first name of the person of interest as provided in the request
          title: First Name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The last name of the person of interest as provided in the request
          title: Last Name
        middle_name:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The middle name of the person of interest as provided in the request
          title: Middle Name
        date_of_birth:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          default: null
          description: >-
            The date of birth of the person of interest as provided in the
            request
          title: Date Of Birth
        pn_id_type_code:
          anyOf:
            - $ref: '#/components/schemas/v1.PnIdTypeCode'
            - type: 'null'
          default: null
          description: >-
            The person identifier type code is a single alphanumeric character.
            It is either an “S” for social security number or an “I” for
            individual taxpayer identification number
      title: MLAResponsePerson
      type: object
    v1.MLAResponseEligibility:
      properties:
        covered:
          description: >-
            This indicates if the person was on active duty on the active duty
            status date
          title: Covered
          type: boolean
        transaction_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: DMDC TransactionID / CertificateID
          title: Transaction Id
        content:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Base64 content of DMDC Certificate
          title: Content
        certificate_type:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The type of certificate returned by DMDC
          title: Certificate Type
      required:
        - covered
      title: MLAResponseEligibility
      type: object
    v1.PnIdTypeCode:
      enum:
        - S
        - I
      title: PnIdTypeCode
      type: string
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````